[youtubei.js](../../../../README.md) / [FormatUtils](../README.md) / download

# Function: download()

> **download**(`options`, `actions`, `playability_status?`, `streaming_data?`, `player?`, `cpn?`): `Promise`\<`ReadableStream`\<`Uint8Array`\>\>

Defined in: [src/utils/FormatUtils.ts:10](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/utils/FormatUtils.ts#L10)

## Parameters

### options

[`DownloadOptions`](../../Types/interfaces/DownloadOptions.md)

### actions

[`Actions`](../../../../classes/Actions.md)

### playability\_status?

[`IPlayabilityStatus`](../../../../interfaces/IPlayabilityStatus.md)

### streaming\_data?

[`IStreamingData`](../../../../interfaces/IStreamingData.md)

### player?

[`Player`](../../../../classes/Player.md)

### cpn?

`string`

## Returns

`Promise`\<`ReadableStream`\<`Uint8Array`\>\>
